createDataSource
POST
/api/v1/data-sources
const url = 'https://example.com/api/v1/data-sources';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"provider":"calendar","name":"example","description":"example","configuration":{}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/data-sources \ --header 'Content-Type: application/json' \ --data '{ "provider": "calendar", "name": "example", "description": "example", "configuration": {} }'Creates a reusable provider-neutral Data Source. Supported providers include calendar, structured feeds, Manual Table, Weather, Transit, CAP Alerts, and Air Quality. Data Sources are not assets and cannot be placed in playlists or Layouts.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
provider
required
Non-visual Data Source providers.
string
name
required
string
description
string
configuration
required
object
Responses
Section titled “ Responses ”Data Source created
Provider configuration rejected